DEFINES= 
CFLAGS = -Os -ggdb -Wall -fno-builtin -nostdlib -fomit-frame-pointer -fno-unit-at-a-time -Wl,-evirus_start

all: test

pulpit: pulpit.c set_mark
	gcc $(CFLAGS) $(DEFINES) pulpit.c -o pulpit
#	./set_mark pulpit

set_mark: ../Prepender/set_mark.c
	$(CC) $< -o $@

test: pulpit
	cp /bin/ls .
	-./pulpit
	./ls

clean:
	-@rm -f pulpit ls set_mark

.PHONY: all clean
